Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12
Class ServiceRefProtocolBindingListTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12.ServiceRefProtocolBindingListTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefProtocolBindingListType<T>

    public class ServiceRefProtocolBindingListTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefProtocolBindingListType<T>

This class implements the `service-ref_protocol-bindingListType` xsd type

Original Documentation:

Defines the type used for specifying a list of
protocol-bindingType(s). For e.g.
##SOAP11_HTTP ##SOAP12_HTTP ##XML_HTTP

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ServiceRefProtocolBindingListTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ServiceRefProtocolBindingListTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getProtocolBindingTypeList()` Returns all `protocol-bindingType` elements
`ServiceRefProtocolBindingListType<T>` | `removeAllProtocolBindingType()` Removes the `protocol-bindingType` element
`ServiceRefProtocolBindingListType<T>` | `setProtocolBindingType(java.lang.String protocolBindingType)` Creates a new `protocol-bindingType` element
`ServiceRefProtocolBindingListType<T>` | `setProtocolBindingTypeList(java.lang.String... values)` Creates for all String objects representing `protocol-bindingType` elements, a new `protocol-bindingType` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefProtocolBindingListTypeImpl

    public ServiceRefProtocolBindingListTypeImpl(T t,
                                                 java.lang.String nodeName,
                                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

### ServiceRefProtocolBindingListTypeImpl

    public ServiceRefProtocolBindingListTypeImpl(T t,
                                                 java.lang.String nodeName,
                                                 org.jboss.shrinkwrap.descriptor.spi.Node node,
                                                 org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setProtocolBindingType

    public ServiceRefProtocolBindingListType<T> setProtocolBindingType(java.lang.String protocolBindingType)

  Creates a new `protocol-bindingType` element

  Specified by:
    `setProtocolBindingType` in interface `ServiceRefProtocolBindingListType<T>`
  Returns:
    the current instance of `ServiceRefProtocolBindingListType`

### setProtocolBindingTypeList

    public ServiceRefProtocolBindingListType<T> setProtocolBindingTypeList(java.lang.String... values)

  Creates for all String objects representing `protocol-bindingType` elements, a new `protocol-bindingType` element

  Specified by:
    `setProtocolBindingTypeList` in interface `ServiceRefProtocolBindingListType<T>`
  Parameters:
    `list` - of `protocol-bindingType` objects
  Returns:
    the current instance of `ServiceRefProtocolBindingListType`

### removeAllProtocolBindingType

    public ServiceRefProtocolBindingListType<T> removeAllProtocolBindingType()

  Removes the `protocol-bindingType` element

  Specified by:
    `removeAllProtocolBindingType` in interface `ServiceRefProtocolBindingListType<T>`
  Returns:
    the current instance of `ServiceRefProtocolBindingListType`

### getProtocolBindingTypeList

    public java.util.List<java.lang.String> getProtocolBindingTypeList()

  Returns all `protocol-bindingType` elements

  Specified by:
    `getProtocolBindingTypeList` in interface `ServiceRefProtocolBindingListType<T>`
  Returns:
    list of `protocol-bindingType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD